/* remember 60-30-10 color rule */

body {
    font-family: 'Arial';
    margin: 20px;
    margin-top: 0px;
    /* background-color: red; */
}

h1 {
    font-size: 5vh;
    font-weight: bolder;
    color: #000000;
}

h3 {
    font-size: 2vh;
    font-weight: bolder;
}

p {
    font-size: 30px;
}

.index-caption {
    font-size: 20px;
    margin-top: 10px; /* Add space between the image and caption */
}

.sticky-header {
    position: sticky;
    top: 0;
    background-color: rgba(255,255,255,.8); /* Or any color you prefer */
    padding: 0px 1em;
    margin: 0;
    z-index: 1000; /* Ensures the header stays on top of other elements */
    border-bottom: 1px solid black; /* 1px black line at the bottom */
    display: flex;
    justify-content: space-between;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    text-align: center;
    align-items: center; /* Centers items vertically */
}

.info {
    padding: 48px 0px;
}


.content {
    display: grid;
    grid-template-columns: repeat(2, 1fr); /* 2 columns of equal width */
    grid-gap: 5em 0px; /* Space between grid items */
    justify-items: center; /* Center grid items horizontally */
    align-items: start; /* Align grid items to the start vertically */
}

/* Specific styling for the last card when there's an odd number */
.content .card:last-child:nth-child(odd) {
    grid-column: 1 / -1; /* Span the full width of the grid */
    justify-self: center; /* Center this card */
}


.card {
    display: flex;
    flex-direction: column; /* Stack items vertically */
    justify-content: center; /* Center horizontally */
    align-items: center; /* Center vertically */
    text-align: center; /* Ensure captions are centered under images */
    height: 100%; /* Make sure the card stretches vertically */
}

.card-image {
    border-radius: 8px;
    border-width: 2px;
    border-color: #3882F6;
}

.horizontal-line {
    border-top: 10px solid black; /* 1px black line at the top */
    width: 100%; /* Full width of the viewport */
    height: 0; /* No height to make it a line */
    margin: 20px 0; /* Optional: Adjusts spacing above and below the line */
}


ul {
    display: flex;
    list-style: none;
    gap: 16px;
}

.action-button {
    border-color: white;
    border-style: solid;
    border-width: 2px;
}

img {
    height: 30vw;
    width: auto;
    border-radius: 0px;
    border: 3vw solid black;
}

#boxContainer {
    position: relative;
    width: 300px;
    height: 300px;
    margin: auto;
}

.box {
    position: absolute;
    width: 100px;
    height: 100px;
    transition: all 0.5s ease;
    z-index: 1;
}

.blur {
    filter: blur(2px);
}

.top-box {
    z-index: 10;
}

.large-image {
    width: 33vw;  /* 50% of the viewport width */
    height: auto; /* 50% of the viewport height */
}

.noborder-image {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 25%;
    height: auto;  /* Maintain aspect ratio */
    border: 0px;
}

.noborder-image-wide {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: auto;
    height: 25%;  /* Maintain aspect ratio */
    border: 0px;
}

.modal-image {
    max-width: 100%; /* Ensure the image does not overflow the card */
    max-height: 100%; /* Adjust if you want a specific height */
    object-fit: contain; /* This will ensure the aspect ratio is maintained */
    cursor: pointer;
}

.modal-image-wide {
    width: 50vw;
    height: auto;
    object-fit: contain; /* This will ensure the aspect ratio is maintained */
    cursor: pointer;
}

.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed position to cover the whole screen */
    z-index: 1001; /* Above other content */
    left: 0;
    top: 0;
    width: 100vw; /* Full viewport width */
    height: 100vh; /* Full viewport height */
    background-color: rgba(0,0,0,0.5); /* Semi-transparent background */
    align-items: center; /* Center content vertically */
    justify-content: center; /* Center content horizontally */
}


.modal-container {
    display: block; /* Ensures it behaves as a block-level element */
    position: relative; /* For positioning the close button */
    padding: 20px; /* Adds some space inside the container */
}


.modal-content {
    width: auto; /* Auto will base the size on the image's intrinsic size */
    height: auto; /* Auto will base the size on the image's intrinsic size */
    max-width: 80vw; /* Maximum width of the image, related to viewport width */
    max-height: 85vh; /* Maximum height of the image, related to viewport height */
    object-fit: contain; /* This will ensure the aspect ratio is maintained */
    margin: auto; /* Center in the available space */
    display: block; /* Ensures it behaves as a block-level element */
}


.close {
    position: absolute;
    top: 0vw; /* Adjust as needed */
    right: -3vw; /* Adjust as needed */
    color: white;
    font-size: 100px;
    font-weight: bold;
    cursor: pointer;
}

.mathematical {
    font-family: 'Cambria Math', Times New Roman, Georgia, serif;
    font-style: italic;
}
  

#box1 { top: 0; left: 0; }
#box2 { top: 40px; left: 40px; }
#box3 { top: 80px; left: 80px; }
